From 1ab65dedbca8d38cf9291e93265cf48c0e473a58 Mon Sep 17 00:00:00 2001
Message-ID: <1ab65dedbca8d38cf9291e93265cf48c0e473a58.1697312893.git.Rostislav.Svoboda@gmail.com>
From: Rostislav Svoboda <Rostislav.Svoboda@gmail.com>
Date: Sat, 14 Oct 2023 19:17:22 +0200
Subject: [PATCH] gnu: Add emacs-color-theme-sanityinc-tomorrow.

* gnu/packages/emacs-xyz.scm (emacs-color-theme-sanityinc-tomorrow): New variable.
---
 gnu/packages/emacs-xyz.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index bb8c25f9b5..b5fd851b38 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -11057,6 +11057,30 @@ (define-public emacs-moe-theme-el
 variants.")
     (license license:gpl3+)))
 
+(define-public emacs-color-theme-sanityinc-tomorrow
+  (let ((commit "d34e8db507ee0c7b465ff18a8f220c33ed77cd79")
+        (revision "0"))
+    (package
+      (name "emacs-color-theme-sanityinc-tomorrow")
+      (version (git-version "0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url
+                "https://github.com/purcell/color-theme-sanityinc-tomorrow")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1mfildi7rav2j42avii7z4gp4ghl04cqv8wp1vyxzl8vkyj60nkb"))))
+      (build-system emacs-build-system)
+      (home-page "https://github.com/purcell/color-theme-sanityinc-tomorrow")
+      (synopsis "Emacs color themes based on Chris Kempson's 'tomorrow' themes")
+      (description
+       "An Emacs version of Chris Kempson's \"Tomorrow\" themes, with much more
+extensive face definitions than the \"official\" Emacs variant.")
+      (license license:gpl3+))))
+
 (define-public emacs-solarized-theme
   (package
     (name "emacs-solarized-theme")

base-commit: 3d0cdf963820da665d71987c15cae6e503efc701
-- 
2.41.0

